package com.inspect.job.service;

import com.inspect.job.domain.SysJobLog;
import com.inspect.job.mapper.SysJobLogMapper;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class SysJobLogServiceImpl implements ISysJobLogService {
    final SysJobLogMapper jobLogMapper;

    @Autowired
    SysJobLogServiceImpl(SysJobLogMapper jobLogMapper) {
        this.jobLogMapper = jobLogMapper;
    }

    public List<SysJobLog> selectJobLogList(SysJobLog jobLog) {
        return this.jobLogMapper.selectJobLogList(jobLog);
    }

    public SysJobLog selectJobLogById(Long jobLogId) {
        return this.jobLogMapper.selectJobLogById(jobLogId);
    }

    public void addJobLog(SysJobLog jobLog) {
//        this.jobLogMapper.insertJobLog(jobLog);
    }

    public int deleteJobLogByIds(Long[] logIds) {
        return this.jobLogMapper.deleteJobLogByIds(logIds);
    }

    public int deleteJobLogById(Long jobId) {
        return this.jobLogMapper.deleteJobLogById(jobId);
    }

    public void cleanJobLog() {
        this.jobLogMapper.cleanJobLog();
    }
}
